Rotation Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rotate and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Move.svg Déplacer Draft
Page suivante: Décalage Draft Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Rotation Draft

Emplacement du menu
Draft → Pivoter
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
R O
Introduit dans la version
0.7
Voir aussi
Déplacer Draft, Matrice Draft


Description

L'outil Rotation permet de faire pivoter ou de copier les objets sélectionnés d'un angle donné autour d'un point de référence.

L'outil Rotation peut être utilisé sur des formes 2D créées avec Atelier Draft ou Atelier Sketcher, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part ou Atelier Arch.

Pour vous déplacer sans rotation, utilisez Déplacer Draft. Pour produire diverses copies dans différents arrangements, utilisez Matrice Draft, Série de copies Draft et Matrice de points Draft.

Draft Rotate example.jpg

Rotation d'un objet à l'aide d'un point de référence central, d'un angle de référence à un autre angle


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier.
  2. Appuyez sur le bouton Draft Rotate.svg Faire pivoter les objets sélectionnés ou appuyez sur les touches R puis O. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Cela sert de base à l’opération par laquelle passera l’axe de rotation.
  4. Cliquez sur un deuxième point de la vue 3D ou tapez un angle de base. Ceci définit une ligne de base qui tournera autour du premier point.
  5. Cliquez sur un troisième point de la vue 3D ou tapez un angle de rotation. Cela indique la rotation de la ligne de base, et donc des objets.

Limitations

Lors de la rotation d'un objet basé sur Sketcher Sketch, par exemple, une fonctionnalité créée avec Atelier PartDesign (Protrusion PartDesign, Révolution PartDesign, etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.

Options

  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continuer . Si le mode Continuer est activé, l'outil Rotation redémarrera à la fin de l'opération. Vous pourrez ainsi faire pivoter ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur P ou cliquez sur la case à cocher pour basculer en mode copie . Si le mode de copie est activé, l'outil Rotation conserve la forme d'origine à sa place, mais effectue une copie à l'angle défini par le troisième point.
Vous pouvez utiliser à la fois T et P pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
  • Maintenez la touche Alt après le deuxième point pour basculer également en mode copie. En maintenant Alt enfoncé après avoir cliqué sur le troisième point, vous pourrez continuer à placer des copies en utilisant le même point de base de rotation et la même ligne de base; relâchez Alt pour terminer l'opération et voir toutes les copies.
  • Maintenez la touche Ctrl enfoncée tout en faisant pivoter pour forcer l'Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez la touche Shift enfoncée tout en faisant pivoter votre prochain point horizontalement ou verticalement Crontrainte Draft par rapport au point de base de la rotation.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours. Les copies déjà placées resteront.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil de Rotation peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Fait pivoter le point de base des objets dans objectlist de angle donné.
    • objectlist est soit un objet unique, soit une liste d'objets.
    • Si un point de base de rotation (center), et axis est donné, ils sont utilisés sinon, la rotation est basée sur l'origine et autour de l'axe Z.

L'angle de rotation est relatif au point de base de l'objet, ce qui signifie que si un objet est pivoté de 45 degrés, puis de 45 degrés supplémentaires, il aura pivoté de 90 degrés au total par rapport à sa position d'origine.

  • Si copy est à True, des copies sont créées au lieu de faire pivoter les objets d'origine.
  • rotatedlist est renvoyé avec les objets pivotés d'origine ou avec les nouvelles copies.
    • rotatedlist est un objet unique ou une liste d'objets en fonction de l'entrée objectlist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
Arrow-left.svg Page précédente: Draft Move.svg Déplacer Draft
Page suivante: Décalage Draft Draft Offset.svg Arrow-right.svg